### Method

# EDataServer WebDAVSession update_properties_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_update_properties_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      const GSList* changes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Updates properties (set/remove) on the provided `uri`, or, in case it’s `NULL`, on the URI defined in associated `ESource`, with the `changes`. The order of `changes` is significant, unlike on other places.

This function supports only flat properties, those not under other element. To support more complex property tries use `e_webdav_session_proppatch_sync()` directly.

Available since: 3.26

#### Parameters

`uri`

  Type: `const gchar*`

  URI to issue the request for, or `NULL` to read from `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`changes`

  Type: A list of `EWebDAVPropertyChange*`

  A `GSList` with request changes.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.